<template>
<main class="movies_wrapper">
    <div class="movies_list">
      <movie-item v-for="movie in movies" :key="movie.id" :movie="movie" />
    </div>
  </main>
</template>

<script>
import MovieItem from "./MovieItem";

import { mapState } from "vuex";

export default {
    name: "MovieGrid",
    components: { MovieItem },
    computed: {
    ...mapState({movies :"movies"})
    }
};
</script>



<style scoped lang="scss">
.movies_wrapper {
  width: 100%;
  height: 100%;
  background-color: #232323;
}
.movies_list {
  display: flex;
  justify-content: space-evenly;
  flex-flow: row wrap;
  padding: 30px 0;
}
.results_empty {
  font-family: "Montserrat", sans-serif;
  color: #fff;
  opacity: 0.8;
  text-align: center;
  font-size: 300%;
  min-height: 500px;
  line-height: 500px;
}
</style>
